Subject: Re: Is the linux-2.6.25.4 compatible with freescale lite5200b?

From: Detlev Zundel <[email-masked]>
Date: Wed, 04 Jun 2008 18:42:45 +0200

Hi Henry,

> I want to use Linux as the OS of freescale lite5200b develop board. Then I have
> tried two version of kernel, 2.6.25.4 and 2.4.25.
> We succeed in 2.4.25, failed in 2.6.25.4. We use the default config file for
> the board, lite5200_defconfig, which would be found both in /arch/ppc/configs/.

That's the problem.  The 5200 was never completely supported in
ARCH=ppc.  You will need to switch to ARCH=powerpc (including all that
new exciting flat device tree infrastructure) where the board should
work.

In short (using bootwrapper only for demonstration purposes, in the long
run you want to use fdt aware infrastructure):

export ARCH=powerpc
make mpc5200_defconfig
make zImage
ls -l arch/powerpc/boot/cuImage.lite5200b
-rw-rw-r-- 1 dzu dzu 1587892 Jun  4 18:40 arch/powerpc/boot/cuImage.lite5200b

Note that lite5200b does not have its own config any more but uses a
common config + an individual device tree
(arch/powerpc/boot/dts/lite5200b.dts). The zImage target above does all
the magic...

Cheers
  Detlev

--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]